Gecode::DFA::Symbols Class Reference

Iterator for DFA symbols. More...

`#include <int.hh>`

## Public Member Functions

| Symbols (const DFA &d)
| Initialize to symbols of DFA d.
bool | operator() (void) const
| Test whether iterator still at a symbol.
void | operator++ (void)
| Move iterator to next symbol.
int | val (void) const
| Return current symbol.

## Detailed Description

Iterator for DFA symbols.

Definition at line 2092 of file int.hh.

## Constructor & Destructor Documentation

## Symbols()

Gecode::DFA::Symbols::Symbols | ( | const DFA & | d | ) |

inline

Initialize to symbols of DFA d.

Definition at line 269 of file dfa.hpp.

## Member Function Documentation

## operator()()

bool Gecode::DFA::Symbols::operator() | ( | void |  | ) | const

inline

Test whether iterator still at a symbol.

Definition at line 280 of file dfa.hpp.

## operator++()

void Gecode::DFA::Symbols::operator++ | ( | void |  | ) |

inline

Move iterator to next symbol.

Definition at line 285 of file dfa.hpp.

## val()

int Gecode::DFA::Symbols::val | ( | void |  | ) | const

inline

Return current symbol.

Definition at line 293 of file dfa.hpp.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/extensional/dfa.hpp